	.file	"memalign2.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.section	.rodata
.LC0:
	.string	"../../tests/malloc.h"
.LC1:
	.string	"x"
	.align 4
.LC2:
	.string	"0 == ((16-1) & (unsigned long)x)"
	.text
	.type	memalign16, @function
memalign16:
.LFB0:
	.file 1 "../../tests/malloc.h"
	.loc 1 15 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 1 21 0
	movl	8(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	$16, (%esp)
	call	memalign
	movl	%eax, -12(%ebp)
	.loc 1 23 0
	cmpl	$0, -12(%ebp)
	jne	.L2
	movl	$__PRETTY_FUNCTION__.2019, 12(%esp)
	movl	$23, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC1, (%esp)
	call	__assert_fail
.L2:
	.loc 1 24 0
	movl	-12(%ebp), %eax
	andl	$15, %eax
	testl	%eax, %eax
	je	.L3
	movl	$__PRETTY_FUNCTION__.2019, 12(%esp)
	movl	$24, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC2, (%esp)
	call	__assert_fail
.L3:
	.loc 1 25 0
	movl	-12(%ebp), %eax
	.loc 1 26 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	memalign16, .-memalign16
	.section	.rodata
.LC3:
	.string	"memalign2.c"
.LC4:
	.string	"0 == (long)p % (1024 * 1024)"
.LC5:
	.string	"piece"
.LC6:
	.string	"0 == (long)p % 8"
.LC7:
	.string	"0 == (long)p % 16"
.LC8:
	.string	"0 == (long)p % 32"
.LC9:
	.string	"0 == (long)p % 64"
.LC10:
	.string	"0 == (long)p % 4096"
.LC11:
	.string	"0 == (long)p % 8192"
	.align 4
.LC12:
	.string	"0 == (long)p % (4 * 1024 * 1024)"
	.align 4
.LC13:
	.string	"0 == (long)p % (16 * 1024 * 1024)"
.LC14:
	.string	"22 == res"
.LC15:
	.string	"0 == res && 0 == (long)p % 8"
	.align 4
.LC16:
	.string	"0 == res && 0 == (long)p % sizeof(void*)"
.LC17:
	.string	"0 == res && 0 == (long)p % 32"
	.align 4
.LC18:
	.string	"0 == res && 0 == (long)p % 4096"
	.align 4
.LC19:
	.string	"0 == res && 0 == (long)p % (4 * 1024 * 1024)"
	.align 4
.LC20:
	.string	"0 == res && 0 == (long)p % (16 * 1024 * 1024)"
	.text
.globl main
	.type	main, @function
main:
.LFB1:
	.file 2 "memalign2.c"
	.loc 2 21 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	subl	$32, %esp
	.loc 2 42 0
	movl	$4194305, 4(%esp)
	movl	$1048576, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$1048575, %eax
	testl	%eax, %eax
	je	.L6
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$42, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC4, (%esp)
	call	__assert_fail
.L6:
	.loc 2 50 0
	movl	$1024000, (%esp)
	call	malloc
	movl	%eax, 24(%esp)
	cmpl	$0, 24(%esp)
	jne	.L7
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$50, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC5, (%esp)
	call	__assert_fail
.L7:
	.loc 2 51 0
	movl	24(%esp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 2 52 0
	movl	20(%esp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 2 55 0
	movl	$4194305, 4(%esp)
	movl	$1048576, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$1048575, %eax
	testl	%eax, %eax
	je	.L8
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$55, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC4, (%esp)
	call	__assert_fail
.L8:
	.loc 2 56 0
	movl	$102400, (%esp)
	call	malloc
	movl	%eax, 24(%esp)
	cmpl	$0, 24(%esp)
	jne	.L9
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$56, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC5, (%esp)
	call	__assert_fail
.L9:
	.loc 2 57 0
	movl	20(%esp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 2 58 0
	movl	24(%esp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 2 60 0
	movl	$100, 4(%esp)
	movl	$0, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$7, %eax
	testl	%eax, %eax
	je	.L10
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$60, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC6, (%esp)
	call	__assert_fail
.L10:
	.loc 2 61 0
	movl	$100, 4(%esp)
	movl	$1, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$7, %eax
	testl	%eax, %eax
	je	.L11
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$61, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC6, (%esp)
	call	__assert_fail
.L11:
	.loc 2 62 0
	movl	$100, 4(%esp)
	movl	$2, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$7, %eax
	testl	%eax, %eax
	je	.L12
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$62, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC6, (%esp)
	call	__assert_fail
.L12:
	.loc 2 63 0
	movl	$100, 4(%esp)
	movl	$3, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$7, %eax
	testl	%eax, %eax
	je	.L13
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$63, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC6, (%esp)
	call	__assert_fail
.L13:
	.loc 2 64 0
	movl	$100, 4(%esp)
	movl	$4, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$7, %eax
	testl	%eax, %eax
	je	.L14
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$64, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC6, (%esp)
	call	__assert_fail
.L14:
	.loc 2 65 0
	movl	$100, 4(%esp)
	movl	$5, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$7, %eax
	testl	%eax, %eax
	je	.L15
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$65, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC6, (%esp)
	call	__assert_fail
.L15:
	.loc 2 67 0
	movl	$100, 4(%esp)
	movl	$7, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$7, %eax
	testl	%eax, %eax
	je	.L16
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$67, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC6, (%esp)
	call	__assert_fail
.L16:
	.loc 2 68 0
	movl	$100, 4(%esp)
	movl	$8, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$7, %eax
	testl	%eax, %eax
	je	.L17
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$68, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC6, (%esp)
	call	__assert_fail
.L17:
	.loc 2 69 0
	movl	$100, 4(%esp)
	movl	$9, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$15, %eax
	testl	%eax, %eax
	je	.L18
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$69, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC7, (%esp)
	call	__assert_fail
.L18:
	.loc 2 71 0
	movl	$100, 4(%esp)
	movl	$31, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$31, %eax
	testl	%eax, %eax
	je	.L19
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$71, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC8, (%esp)
	call	__assert_fail
.L19:
	.loc 2 72 0
	movl	$100, 4(%esp)
	movl	$32, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$31, %eax
	testl	%eax, %eax
	je	.L20
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$72, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC8, (%esp)
	call	__assert_fail
.L20:
	.loc 2 73 0
	movl	$100, 4(%esp)
	movl	$33, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$63, %eax
	testl	%eax, %eax
	je	.L21
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$73, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC9, (%esp)
	call	__assert_fail
.L21:
	.loc 2 75 0
	movl	$100, 4(%esp)
	movl	$4095, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$4095, %eax
	testl	%eax, %eax
	je	.L22
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$75, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC10, (%esp)
	call	__assert_fail
.L22:
	.loc 2 76 0
	movl	$100, 4(%esp)
	movl	$4096, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$4095, %eax
	testl	%eax, %eax
	je	.L23
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$76, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC10, (%esp)
	call	__assert_fail
.L23:
	.loc 2 77 0
	movl	$100, 4(%esp)
	movl	$4097, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$8191, %eax
	testl	%eax, %eax
	je	.L24
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$77, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC11, (%esp)
	call	__assert_fail
.L24:
	.loc 2 79 0
	movl	$100, 4(%esp)
	movl	$4194304, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$4194303, %eax
	testl	%eax, %eax
	je	.L25
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$79, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC12, (%esp)
	call	__assert_fail
.L25:
	.loc 2 80 0
	movl	$100, 4(%esp)
	movl	$16777216, (%esp)
	call	memalign
	movl	%eax, 20(%esp)
	movl	20(%esp), %eax
	andl	$16777215, %eax
	testl	%eax, %eax
	je	.L26
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$80, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC13, (%esp)
	call	__assert_fail
.L26:
	.loc 2 84 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$-1, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	cmpl	$22, 28(%esp)
	je	.L27
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$84, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC14, (%esp)
	call	__assert_fail
.L27:
	.loc 2 85 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$0, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	cmpl	$0, 28(%esp)
	jne	.L28
	movl	20(%esp), %eax
	andl	$7, %eax
	testl	%eax, %eax
	je	.L29
.L28:
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$85, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC15, (%esp)
	call	__assert_fail
.L29:
	.loc 2 86 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$1, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	cmpl	$22, 28(%esp)
	je	.L30
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$86, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC14, (%esp)
	call	__assert_fail
.L30:
	.loc 2 87 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$2, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	cmpl	$22, 28(%esp)
	je	.L31
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$87, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC14, (%esp)
	call	__assert_fail
.L31:
	.loc 2 88 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$3, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	cmpl	$22, 28(%esp)
	je	.L32
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$88, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC14, (%esp)
	call	__assert_fail
.L32:
	.loc 2 89 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$4, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	.loc 2 90 0
	cmpl	$0, 28(%esp)
	jne	.L33
	movl	20(%esp), %eax
	andl	$3, %eax
	testl	%eax, %eax
	je	.L34
.L33:
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$90, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC16, (%esp)
	call	__assert_fail
.L34:
	.loc 2 92 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$31, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	cmpl	$22, 28(%esp)
	je	.L35
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$92, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC14, (%esp)
	call	__assert_fail
.L35:
	.loc 2 93 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$32, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	cmpl	$0, 28(%esp)
	jne	.L36
	movl	20(%esp), %eax
	andl	$31, %eax
	testl	%eax, %eax
	je	.L37
.L36:
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$93, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC17, (%esp)
	call	__assert_fail
.L37:
	.loc 2 94 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$33, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	cmpl	$22, 28(%esp)
	je	.L38
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$94, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC14, (%esp)
	call	__assert_fail
.L38:
	.loc 2 96 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$4095, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	cmpl	$22, 28(%esp)
	je	.L39
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$96, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC14, (%esp)
	call	__assert_fail
.L39:
	.loc 2 97 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$4096, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	cmpl	$0, 28(%esp)
	jne	.L40
	movl	20(%esp), %eax
	andl	$4095, %eax
	testl	%eax, %eax
	je	.L41
.L40:
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$97, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC18, (%esp)
	call	__assert_fail
.L41:
	.loc 2 98 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$4097, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	cmpl	$22, 28(%esp)
	je	.L42
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$98, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC14, (%esp)
	call	__assert_fail
.L42:
	.loc 2 100 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$4194304, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	cmpl	$0, 28(%esp)
	jne	.L43
	movl	20(%esp), %eax
	andl	$4194303, %eax
	testl	%eax, %eax
	je	.L44
.L43:
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$101, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC19, (%esp)
	call	__assert_fail
.L44:
	.loc 2 102 0
	leal	20(%esp), %eax
	movl	$100, 8(%esp)
	movl	$16777216, 4(%esp)
	movl	%eax, (%esp)
	call	posix_memalign
	movl	%eax, 28(%esp)
	cmpl	$0, 28(%esp)
	jne	.L45
	movl	20(%esp), %eax
	andl	$16777215, %eax
	testl	%eax, %eax
	je	.L46
.L45:
	movl	$__PRETTY_FUNCTION__.2036, 12(%esp)
	movl	$103, 8(%esp)
	movl	$.LC3, 4(%esp)
	movl	$.LC20, (%esp)
	call	__assert_fail
.L46:
	.loc 2 106 0
	movl	$0, %eax
	.loc 2 107 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE1:
	.size	main, .-main
	.section	.rodata
	.type	__PRETTY_FUNCTION__.2036, @object
	.size	__PRETTY_FUNCTION__.2036, 5
__PRETTY_FUNCTION__.2036:
	.string	"main"
	.type	__PRETTY_FUNCTION__.2019, @object
	.size	__PRETTY_FUNCTION__.2019, 11
__PRETTY_FUNCTION__.2019:
	.string	"memalign16"
	.text
.Letext0:
	.file 3 "/usr/lib/gcc/i686-redhat-linux/4.4.5/include/stddef.h"
	.section	.debug_info
	.long	0x145
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF12
	.byte	0x1
	.long	.LASF13
	.long	.LASF14
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.long	.LASF15
	.byte	0x3
	.byte	0xd3
	.long	0x30
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.long	.LASF1
	.uleb128 0x4
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF2
	.uleb128 0x3
	.byte	0x1
	.byte	0x8
	.long	.LASF3
	.uleb128 0x3
	.byte	0x2
	.byte	0x7
	.long	.LASF4
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF5
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF6
	.uleb128 0x3
	.byte	0x2
	.byte	0x5
	.long	.LASF7
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF8
	.uleb128 0x5
	.byte	0x4
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF9
	.uleb128 0x6
	.long	.LASF16
	.byte	0x1
	.byte	0xe
	.byte	0x1
	.long	0x76
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0xc4
	.uleb128 0x7
	.string	"szB"
	.byte	0x1
	.byte	0xe
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x8
	.string	"x"
	.byte	0x1
	.byte	0x10
	.long	0x76
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0x9
	.long	.LASF11
	.long	0xd4
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.2019
	.byte	0x0
	.uleb128 0xa
	.long	0x78
	.long	0xd4
	.uleb128 0xb
	.long	0x30
	.byte	0xa
	.byte	0x0
	.uleb128 0xc
	.long	0xc4
	.uleb128 0xd
	.byte	0x1
	.long	.LASF17
	.byte	0x2
	.byte	0x14
	.byte	0x1
	.long	0x3e
	.long	.LFB1
	.long	.LFE1
	.byte	0x1
	.byte	0x9c
	.long	0x12d
	.uleb128 0x8
	.string	"p"
	.byte	0x2
	.byte	0x1c
	.long	0x12d
	.byte	0x2
	.byte	0x74
	.sleb128 20
	.uleb128 0xe
	.long	.LASF10
	.byte	0x2
	.byte	0x1d
	.long	0x12d
	.byte	0x2
	.byte	0x74
	.sleb128 24
	.uleb128 0x8
	.string	"res"
	.byte	0x2
	.byte	0x1e
	.long	0x3e
	.byte	0x2
	.byte	0x74
	.sleb128 28
	.uleb128 0x9
	.long	.LASF11
	.long	0x143
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.2036
	.byte	0x0
	.uleb128 0xf
	.byte	0x4
	.long	0x3e
	.uleb128 0xa
	.long	0x78
	.long	0x143
	.uleb128 0xb
	.long	0x30
	.byte	0x4
	.byte	0x0
	.uleb128 0xc
	.long	0x133
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x34
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0x26
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xd
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xe
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x17
	.value	0x2
	.long	.Ldebug_info0
	.long	0x149
	.long	0xd9
	.string	"main"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0x19
	.value	0x2
	.long	.Ldebug_info0
	.long	0x149
	.long	0x25
	.string	"size_t"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF2:
	.string	"long long int"
.LASF4:
	.string	"short unsigned int"
.LASF12:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF15:
	.string	"size_t"
.LASF17:
	.string	"main"
.LASF5:
	.string	"long unsigned int"
.LASF8:
	.string	"long long unsigned int"
.LASF3:
	.string	"unsigned char"
.LASF9:
	.string	"char"
.LASF1:
	.string	"long int"
.LASF13:
	.string	"memalign2.c"
.LASF10:
	.string	"piece"
.LASF6:
	.string	"signed char"
.LASF11:
	.string	"__PRETTY_FUNCTION__"
.LASF16:
	.string	"memalign16"
.LASF7:
	.string	"short int"
.LASF14:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/memcheck/tests"
.LASF0:
	.string	"unsigned int"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
